# ``twisted`.`mail`.`tap`.`AliasUpdater``

class documentation

`class AliasUpdater: (source)`

View In Hierarchy

A callable object which updates the aliases for a domain from an aliases(5) file.

Method | `__call__` | Update the aliases for a domain from an aliases(5) file.
Method | `__init__` |
Instance Variable | `domain` | See `__init__`.
Instance Variable | `domains` | See `__init__`.

def __call__(self, new): (source)
Update the aliases for a domain from an aliases(5) file.

Parameters
new:`bytes` | The name of an aliases(5) file.

def __init__(self, domains, domain): (source)

Parameters
domains:`dict` mapping `bytes` to `IDomain` provider | A mapping of domain name to domain object
domain:`IAliasableDomain` provider | The domain to update.

domain = (source)
See `__init__`.
domains = (source)
See `__init__`.